Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 245715 - Please stabilise sci-libs/hdf5-1.6.7
Summary: Please stabilise sci-libs/hdf5-1.6.7
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 218278
Blocks: gcc-4.3-stable 245707 318649
  Show dependency tree
 
Reported: 2008-11-05 18:04 UTC by Christian Faulhammer (RETIRED)
Modified: 2010-06-23 11:10 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Faulhammer (RETIRED) gentoo-dev 2008-11-05 18:04:55 UTC
This is for GCC 4.3 stabilisation.  Please add arches as you see fit. Thanks.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-27 22:58:28 UTC
pingy
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-06 22:05:16 UTC
No maintainer response, let's do it

Keywords: alpha ia64 sparc 
Keywords: amd64 ppc ppc64 x86
Comment 3 Markus Meier gentoo-dev 2009-02-08 17:17:01 UTC
minor issue, will this be fixed first?

mv: cannot stat `/var/tmp/portage/sci-libs/hdf5-1.6.7/image/usr/bin/h5pfc': No such file or directory
>>> Completed installing hdf5-1.6.7 into /var/tmp/portage/sci-libs/hdf5-1.6.7/image/

apart from that, looks good to go stable on amd64/x86.
Comment 4 Tobias Klausmann gentoo-dev 2009-02-08 17:46:57 UTC
1.6.7 isn't keyworded on alpha. Should we keyword it (what is it needed for?) or ignore it (need to mask anything then?)?
Comment 5 Tobias Klausmann gentoo-dev 2009-02-14 20:19:34 UTC
hdf5 fails when building like this:

make[3]: Entering directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7/fortran/src'
mkdir .libs
gcc -mieee -pipe -O2 -mcpu=ev67 -ansi -O3 -fomit-frame-pointer -finline-functions -I. -I../../src -I../../src -D_BSD_SOURCE -D_POSIX_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -c H5f90kit.c  -fPIC -DPIC -o .libs/H5f90kit.lo
In file included from H5f90.h:21,
                 from H5f90kit.c:19:
H5f90i.h:182: error: redefinition of typedef '_fcd'
H5f90i.h:80: error: previous declaration of '_fcd' was here
H5f90i.h:187: error: redefinition of typedef 'int_f'
H5f90i.h:81: error: previous declaration of 'int_f' was here
H5f90i.h:188: error: redefinition of typedef 'hid_t_f'
H5f90i.h:82: error: previous declaration of 'hid_t_f' was here
H5f90i.h:189: error: redefinition of typedef 'real_f'
H5f90i.h:83: error: previous declaration of 'real_f' was here
make[3]: *** [H5f90kit.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7/fortran/src'
make[2]: *** [lib] Error 1
make[2]: Leaving directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7/fortran'
make[1]: *** [lib] Error 1
make[1]: Leaving directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7'
make: *** [all] Error 2

emerge --info:
Portage 2.1.6.4 (default/linux/alpha/2008.0/server, gcc-4.3.2, glibc-2.9_p20081201-r1, 2.6.27.7 alpha)
=================================================================
System uname: Linux-2.6.27.7-alpha-EV68AL-with-glibc2.0
Timestamp of tree: Sat, 14 Feb 2009 17:45:01 +0000
app-shells/bash:     3.2_p48
dev-lang/python:     2.5.2-r8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.1-r1
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.63
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="alpha ~alpha"
CBUILD="alpha-unknown-linux-gnu"
CFLAGS="-mieee -pipe -O2 -mcpu=ev67"
CHOST="alpha-unknown-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-mieee -pipe -O2 -mcpu=ev67"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://gentoo.mirror.solnet.ch"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync5.de.gentoo.org/gentoo-portage"
USE="acl alpha apache2 bash-completion berkdb bzip2 cli cracklib crypt cups dri fortran ftp gdbm gpm iconv isdnlog mailwrapper midi mmap mudflap mysql ncurses nls nptl nptlonly offensive openmp pam pcre perl pppd python readline recode reflection session sharedmem snmp sockets spl ssl sysfs tcpd truetype unicode vim vim-pager xml xorg zlib" ALSA_CARDS="ali5451 als4000 bt87x ca0106 cmipci emu10k1 ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 maestro3 trident usb-audio via82xx ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-25 19:13:45 UTC
(In reply to comment #4)
> 1.6.7 isn't keyworded on alpha. Should we keyword it (what is it needed for?)
> or ignore it (need to mask anything then?)?
> 

Tobias,
You were added because once gcc-4.3 goes stable you will have a broken stable version of hdf5, you call on what to do. Removing the stable alpha keyword is an option once gcc-4.3 is marked stable.
Comment 7 Ferris McCormick (RETIRED) gentoo-dev 2009-02-25 20:05:21 UTC
This does not build for me on sparc:  I see
======================================
make[2]: Entering directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7/src'
gcc -O2 -mcpu=ultrasparc3 -pipe -std=c99 -Wno-long-long -O -fomit-frame-pointer -finline-functions  -I. -I. -UH5_DEBUG_API -DNDEBUG -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_POSIX_SOURCE -D_BSD_SOURCE  ./H5detect.c \
            -Wl,-O1 -lssl -lcrypto -lz -lm  -o H5detect
LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo -Wl,-O1 |                  \
                sed -e 's/-L/:/g' -e 's/ //g'`"                               \
         ./H5detect > H5Tinit.c  ||                               \
            (test $HDF5_Make_Ignore && echo "*** Error ignored") ||          \
            (rm -f H5Tinit.c ; exit 1)
/bin/sh: line 4:  7334 Bus error               LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo -Wl,-O1 |                        sed -e 's/-L/:/g' -e 's/ //g'`" ./H5detect > H5Tinit.c
===============================================
This indicates misaligned data in H5detect.c

If I get a chance, I'll track it down, but it is the same bug as already reported in Bug #218278.  As noted there, it might be a gcc problem, but I tend to doubt it.  It's still for upstream to diagnose --- I pointed to what fails previously.
Comment 8 Tobias Klausmann gentoo-dev 2009-03-08 18:48:51 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > 1.6.7 isn't keyworded on alpha. Should we keyword it (what is it needed for?)
> > or ignore it (need to mask anything then?)?
>
> You were added because once gcc-4.3 goes stable you will have a broken stable
> version of hdf5, you call on what to do. Removing the stable alpha keyword is
> an option once gcc-4.3 is marked stable.

Thing is: 1.6.7 doesn't even compile (see comment #5). 
Comment 9 Alexander Bezrukov 2009-03-10 23:34:38 UTC
In my case 1.6.4 doesn't compile with the very same symptoms as in comment #5 but 1.6.7 DOES compile.

More details on the failure: H5detect utility fails to detect the endianness of the machine. I didn't try to debug this any further.
Comment 10 Alexander Bezrukov 2009-03-10 23:49:35 UTC
Forgot to add to the comment #9, that I am amd64, not alpha:

emerge --info
Portage 2.1.6.7 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.8_p20080602-r1, 2.6.28.7-alb x86_64)
=================================================================
System uname: Linux-2.6.28.7-alb-x86_64-Dual_Core_AMD_Opteron-tm-_Processor_285-with-glibc2.2.5
Timestamp of tree: Tue, 10 Mar 2009 23:15:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-combine -march=opteron -momit-leaf-frame-pointer -Os -pipe -fomit-frame-pointer -finline-functions-called-once -ftree-vectorize"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-combine -march=opteron -momit-leaf-frame-pointer -Os -pipe -fomit-frame-pointer -finline-functions-called-once -ftree-vectorize"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ http://trumpetti.atm.tut.fi/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ ftp://mirror.yandex.ru/gentoo-distfiles/"
LANG="en_US.utf8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="en ru"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X acl acpi alsa amd64 bash-completion berkdb bidi bzip2 caps cdr cjk cli cracklib crypt cscope cups dbus djvu dri dvd dvdr dvdread fortran gdbm gif gnome gpm gtk hal hardened iconv ieee1394 isdnlog jpeg jpeg2k kerberos lcms ldap ldapsam lm_sensors loop-aes midi mmap mmx mudflap multilib ncurses nls nptl nptlonly nsplugin opengl openmp pam pcre perl png pppd python readline reflection samba session spl sse sse2 ssl sysfs tcpd threads tiff truetype unicode usb winbind xorg xulrunner zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse joystick vmmouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru" USERLAND="GNU" VIDEO_CARDS="nvidia fbdev vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 11 nixnut (RETIRED) gentoo-dev 2009-03-14 10:05:19 UTC
Doesn't like ppc:

H5f90proto.h:1386: error: expected declaration specifiers or '...' before 'size_t_f'
H5f90proto.h:1386: error: expected declaration specifiers or '...' before 'size_t_f'
make[3]: *** [H5f90kit.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7/fortran/src'
make[2]: *** [lib] Error 1
make[2]: Leaving directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7/fortran'
make[1]: *** [lib] Error 1
make[1]: Leaving directory `/var/tmp/portage/sci-libs/hdf5-1.6.7/work/hdf5-1.6.7'
make: *** [all] Error 2
 * 
 * ERROR: sci-libs/hdf5-1.6.7 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3181:  Called die
 * The specific snippet of code:
 *       make || die "make failed";
 *  The die message:
 *   make failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sci-libs/hdf5-1.6.7/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-libs/hdf5-1.6.7/temp/environment'.
 * 

emerge --info:
Portage 2.1.6.7 (default/linux/powerpc/ppc32/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.21-gentoo-r4 ppc64)
=================================================================
System uname: Linux-2.6.21-gentoo-r4-ppc64-POWER5+_-gs-with-glibc2.0
Timestamp of tree: Fri, 13 Mar 2009 18:30:01 +0000
distcc 3.0 powerpc-unknown-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r14, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="ppc"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -fno-strict-aliasing -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /home/mythtv/ /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb /var/qmail/alias /var/qmail/control /var/spool/torque /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -fno-strict-aliasing -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j8"
PKGDIR="/var/binpkg"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl ppc pppd python readline reflection session spl ssl sysfs tcpd unicode xorg zlib" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default                   authz_groupfile authz_host authz_owner authz_user autoindex                   cache dav dav_fs dav_lock dbd deflate dir disk_cache env                   expires ext_filter file_cache filter headers ident imagemap                   include info log_config logio mem_cache mime mime_magic                   negotiation proxy proxy_ajp proxy_balancer proxy_connect                   proxy_http rewrite setenvif so speling status unique_id                   userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 12 Brent Baude (RETIRED) gentoo-dev 2009-03-15 13:08:59 UTC
fails same for ppc64
Comment 13 Jeroen Roovers gentoo-dev 2009-04-09 01:39:06 UTC
Other than the grave build problems, there are a few notable QA issues as well. The build system currently doesn't respect CC (which could probably be fixes with a simple `tc-export CC' at the top of src_compile()). CFLAGS are acknowledged but postfixed with "-O3 -fomit-frame-pointer" (as well as a few other, valid upstream choices).

On an HPPA system, it fails like this:

gcc -O2 -pipe -mschedule=8000 -march=2.0 -ggdb -Wall -ansi -O3 -fomit-frame-pointer -finline-functions -I. -I../../src -I../../src -D_BSD_SOURCE -D_POSIX_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -c H5f90kit.c  -fPIC -DPIC -o H5f90kit.o
In file included from H5f90.h:22,
                 from H5f90kit.c:19:
H5f90proto.h:74: error: expected declaration specifiers or '...' before 'hssize_t_f'
H5f90proto.h:76: error: expected declaration specifiers or '...' before 'size_t_f'
[and so on].

Wed Apr  8 23:13:57 CEST 2009
Portage 2.1.6.11 (default/linux/hppa/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.29.1-JeR parisc)
=================================================================
System uname: Linux-2.6.29.1-JeR-parisc-PA8700_-PCX-W2-with-glibc2.2
Timestamp of tree: Wed, 08 Apr 2009 15:15:03 +0000
distcc 3.0 hppa2.0-unknown-linux-gnu [enabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.2-r7
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="hppa"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/fax /usr/share/config /var/bind /var/spool/fax/etc /var/spool/torque /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall"
DISTDIR="/keeps/gentoo/distfiles"
FEATURES="autoaddcvs buildpkg cvs distcc distlocks fixpackages notitles parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS=" http://gentoo.tiscali.nl/ http://mirror.muntinternet.net/pub/gentoo/ http://mirror.cambrium.nl/pub/os/linux/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo/ "
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en nl he"
MAKEOPTS="-j5"
PKGDIR="/keeps/gentoo/packages/elmer"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/mnt/alt/portage-tmp"
PORTDIR="/keeps/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d a52 aac aalib accessibility ads agg alsa amr amrnb amrwb ao aoss apache2 ares asf async asyncns audiofile audit automount avfs bash-completion berkdb bidi bittorrent bl bluetooth bzip2 c++ cairo caps captury catalogs cblas cdb cddb cdparanoia cdr chardet cjk clarens cli cracklib crypt cups curl custom-cflags custom-cxxflags cxx dbi dbtool dbus device-mapper dga dia dirac directfb djbfft domainkeys dri drm dts dv dvd dvdr dvdread dxr3 edl elf emacs enca encode esd examples exif expat fame fastbuild fastcgi fbcon ffmpeg filter flac fontconfig fontforge foomaticdb fortran ftp gadu galago gcrypt gd gdbm geant4 geoip ggi gif gimp gimpprint glep glib glut gmp gnome gnutls gphoto2 gpm gs gsl gsm gtk gtk2 gtkhtml guidexml hal hepmc hesiod hppa ical icecast iconv icu idea idn imagemagick imlib immqt-bc inquisitio ipv6 isc isdnlog ithreads jack javascript jbig jingle jpeg jpeg2k judy kde kerberos kpathsea lapack latex lcms ldap leim libass libcaca libnotify libsamplerate libwww live lm_sensors logrotate logwatch lua lzo mad manhole matroska mbrola memcache metis mhash midi mikmod mmap mng modplug motif mozbranding mp3 mplayer mssql mudflap musepack mysql nas nautilus ncurses netpbm network-cron nfconntrack nfs nls nntp nptl nptlonly nsplugin ntlm offensive ogg openal openexr opengl openmp oss ots overlays pam pango pbs pcre pdf pdo-external perl php plotutils plugins png portage portaudio postgres povray ppds pppd pulseaudio python pyzord qdbm qt3 qt3support qt4 quotas raw readline recode reflection rle rpc rrdtool rtc ruby samba sasl scanner schroedinger scim sdl seamonkey server session sid slang slp sms sndfile snmp soundex speex spell spl sqlite srt ssh ssl startup-notification subtitles subversion suhosin supernodal svg swat sysfs syslog talkfilters tcl tcpd test tftp tga theora threads thunar-vfs tidy tiff timidity tk tools truetype twolame udev unicode unzip urandom usb userlocales utempter utf v4l v4l2 vanim vcd vidix vim-syntax vorbis wavpack webdav webinstall webkit winbind wlan wma wmf xanim xcb xchattext xcomposite xface xml xml2 xmp xmpi xorg xpm xrandr xscreensaver xsettings xulrunner xv xvid xvmc zip zip-external zlib" ALSA_CARDS="ad1889 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_ftp proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl he" USERLAND="GNU" VIDEO_CARDS="stifb fbdev matrox"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Jeroen Roovers gentoo-dev 2009-04-09 01:41:21 UTC
sci-mathematics/octave-3.0.3 USE=hdf5 depends on sci-libs/hdf5.
Comment 15 Christian Faulhammer (RETIRED) gentoo-dev 2009-07-02 10:07:39 UTC
Could the sci team advise here, please?
Comment 16 Christian Faulhammer (RETIRED) gentoo-dev 2009-08-16 08:04:32 UTC
This now (softly) blocks Python 2.6 stabilisation.  Will there be any progress here soon?
Comment 17 Sébastien Fabbro (RETIRED) gentoo-dev 2009-08-18 21:11:59 UTC
(In reply to comment #16)
> This now (softly) blocks Python 2.6 stabilisation.  Will there be any progress
> here soon?
> 

I am closing this one since hdf5-1.6.7 is just too buggy. Will call you later for 1.8.3 or a bumped 1.6.x if I find the courage.